Subject: Re: [SIP] Re: No SDP => take off hold? [WAS: 3PCC and the re -invite response]

From: "Keith Robinson" <[email-masked]>
Date: Wed, 6 Dec 2000 10:55:33 +0000

An initial invite without an SDP does mean no change; there was no media before
the
 request, there is no media after the request; therefore a re-INVITE with no SDP
should
mean no change.

As the intent of SIP is to control sessions of any kind by seperating session
control from media
control there are two logical processing entities addressed by a SIP message;
the session control entity
and the media control entity. The session control entity is addressed by the SIP
methods and headers,
the media control entity is addressed by the message body if present.; if the
message body is not
present then this latter entity cannot be addressed and therefore no change can
be effected.

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: "Henning G. Schulzrinne" <[email-masked]>
Date: Wed, 06 Dec 2000 08:58:16 -0500

The "no SDP - no change" model has the advantage that it works for ACK
(where there usually is no SDP) and various 1xx responses, in addition
to INVITE and re-INVITE. Even in this model, sending an INVITE or
200-INVITE without SDP is probably a bad idea since it prevents
stateless recovery from earlier failures.

The "no SDP - no media" model is probably closer to what people are
implementing right now, but only holds for INVITE and re-INVITE.
-- 
Henning Schulzrinne   http://www.cs.columbia.edu/~hgs